xref: /freebsd/contrib/expat/doc/Makefile.in (revision b64c5a0ace59af62eff52bfe110a521dc73c937b)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2024 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017      Stephen Groat <stephen@groat.us>
27# Copyright (c) 2017      Joe Orton <jorton@redhat.com>
28# Copyright (c) 2024      Tomas Korbar <tkorbar@redhat.com>
29# Licensed under the MIT license:
30#
31# Permission is  hereby granted,  free of charge,  to any  person obtaining
32# a  copy  of  this  software   and  associated  documentation  files  (the
33# "Software"),  to  deal in  the  Software  without restriction,  including
34# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
35# distribute, sublicense, and/or sell copies of the Software, and to permit
36# persons  to whom  the Software  is  furnished to  do so,  subject to  the
37# following conditions:
38#
39# The above copyright  notice and this permission notice  shall be included
40# in all copies or substantial portions of the Software.
41#
42# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
43# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
44# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
45# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
46# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
47# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
48# USE OR OTHER DEALINGS IN THE SOFTWARE.
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123subdir = doc
124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
126	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
127	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
128	$(top_srcdir)/acinclude.m4 \
129	$(top_srcdir)/conftools/ax-require-defined.m4 \
130	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
131	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
132	$(top_srcdir)/conftools/ax-append-flag.m4 \
133	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
134	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
135	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
136	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx.m4 \
137	$(top_srcdir)/conftools/ax-cxx-compile-stdcxx-11.m4 \
138	$(top_srcdir)/configure.ac
139am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
140	$(ACLOCAL_M4)
141DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
142mkinstalldirs = $(install_sh) -d
143CONFIG_HEADER = $(top_builddir)/expat_config.h
144CONFIG_CLEAN_FILES =
145CONFIG_CLEAN_VPATH_FILES =
146AM_V_P = $(am__v_P_@AM_V@)
147am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
148am__v_P_0 = false
149am__v_P_1 = :
150AM_V_GEN = $(am__v_GEN_@AM_V@)
151am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
152am__v_GEN_0 = @echo "  GEN     " $@;
153am__v_GEN_1 =
154AM_V_at = $(am__v_at_@AM_V@)
155am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
156am__v_at_0 = @
157am__v_at_1 =
158SOURCES =
159DIST_SOURCES =
160am__can_run_installinfo = \
161  case $$AM_UPDATE_INFO_DIR in \
162    n|no|NO) false;; \
163    *) (install-info --version) >/dev/null 2>&1;; \
164  esac
165am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
166am__vpath_adj = case $$p in \
167    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
168    *) f=$$p;; \
169  esac;
170am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
171am__install_max = 40
172am__nobase_strip_setup = \
173  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
174am__nobase_strip = \
175  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
176am__nobase_list = $(am__nobase_strip_setup); \
177  for p in $$list; do echo "$$p $$p"; done | \
178  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
179  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
180    if (++n[$$2] == $(am__install_max)) \
181      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
182    END { for (dir in files) print dir, files[dir] }'
183am__base_list = \
184  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
185  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
186am__uninstall_files_from_dir = { \
187  test -z "$$files" \
188    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
189    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
190         $(am__cd) "$$dir" && rm -f $$files; }; \
191  }
192man1dir = $(mandir)/man1
193am__installdirs = "$(DESTDIR)$(man1dir)"
194NROFF = nroff
195MANS = $(dist_man_MANS)
196am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
197am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in
198DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
199ACLOCAL = @ACLOCAL@
200AMTAR = @AMTAR@
201AM_CFLAGS = @AM_CFLAGS@
202AM_CPPFLAGS = @AM_CPPFLAGS@
203AM_CXXFLAGS = @AM_CXXFLAGS@
204AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
205AM_LDFLAGS = @AM_LDFLAGS@
206AR = @AR@
207AS = @AS@
208AUTOCONF = @AUTOCONF@
209AUTOHEADER = @AUTOHEADER@
210AUTOMAKE = @AUTOMAKE@
211AWK = @AWK@
212CC = @CC@
213CCDEPMODE = @CCDEPMODE@
214CFLAGS = @CFLAGS@
215CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
216CPPFLAGS = @CPPFLAGS@
217CSCOPE = @CSCOPE@
218CTAGS = @CTAGS@
219CXX = @CXX@
220CXXCPP = @CXXCPP@
221CXXDEPMODE = @CXXDEPMODE@
222CXXFLAGS = @CXXFLAGS@
223CYGPATH_W = @CYGPATH_W@
224DEFS = @DEFS@
225DEPDIR = @DEPDIR@
226DLLTOOL = @DLLTOOL@
227DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
228DSYMUTIL = @DSYMUTIL@
229DUMPBIN = @DUMPBIN@
230ECHO_C = @ECHO_C@
231ECHO_N = @ECHO_N@
232ECHO_T = @ECHO_T@
233EGREP = @EGREP@
234ETAGS = @ETAGS@
235EXEEXT = @EXEEXT@
236EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
237EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
238EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
239EXPAT_DTD = @EXPAT_DTD@
240EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
241EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
242EXPAT_NS = @EXPAT_NS@
243FGREP = @FGREP@
244FILECMD = @FILECMD@
245FILEMAP = @FILEMAP@
246GREP = @GREP@
247HAVE_CXX11 = @HAVE_CXX11@
248INSTALL = @INSTALL@
249INSTALL_DATA = @INSTALL_DATA@
250INSTALL_PROGRAM = @INSTALL_PROGRAM@
251INSTALL_SCRIPT = @INSTALL_SCRIPT@
252INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
253LD = @LD@
254LDFLAGS = @LDFLAGS@
255LIBAGE = @LIBAGE@
256LIBCURRENT = @LIBCURRENT@
257LIBDIR_BASENAME = @LIBDIR_BASENAME@
258LIBM = @LIBM@
259LIBOBJS = @LIBOBJS@
260LIBREVISION = @LIBREVISION@
261LIBS = @LIBS@
262LIBTOOL = @LIBTOOL@
263LIPO = @LIPO@
264LN_S = @LN_S@
265LTLIBOBJS = @LTLIBOBJS@
266LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
267MAINT = @MAINT@
268MAKEINFO = @MAKEINFO@
269MANIFEST_TOOL = @MANIFEST_TOOL@
270MKDIR_P = @MKDIR_P@
271NM = @NM@
272NMEDIT = @NMEDIT@
273OBJDUMP = @OBJDUMP@
274OBJEXT = @OBJEXT@
275OTOOL = @OTOOL@
276OTOOL64 = @OTOOL64@
277PACKAGE = @PACKAGE@
278PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
279PACKAGE_NAME = @PACKAGE_NAME@
280PACKAGE_STRING = @PACKAGE_STRING@
281PACKAGE_TARNAME = @PACKAGE_TARNAME@
282PACKAGE_URL = @PACKAGE_URL@
283PACKAGE_VERSION = @PACKAGE_VERSION@
284PATH_SEPARATOR = @PATH_SEPARATOR@
285RANLIB = @RANLIB@
286SED = @SED@
287SET_MAKE = @SET_MAKE@
288SHELL = @SHELL@
289SIZEOF_VOID_P = @SIZEOF_VOID_P@
290SO_MAJOR = @SO_MAJOR@
291SO_MINOR = @SO_MINOR@
292SO_PATCH = @SO_PATCH@
293STRIP = @STRIP@
294VERSION = @VERSION@
295abs_builddir = @abs_builddir@
296abs_srcdir = @abs_srcdir@
297abs_top_builddir = @abs_top_builddir@
298abs_top_srcdir = @abs_top_srcdir@
299ac_ct_AR = @ac_ct_AR@
300ac_ct_CC = @ac_ct_CC@
301ac_ct_CXX = @ac_ct_CXX@
302ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
303am__include = @am__include@
304am__leading_dot = @am__leading_dot@
305am__quote = @am__quote@
306am__tar = @am__tar@
307am__untar = @am__untar@
308bindir = @bindir@
309build = @build@
310build_alias = @build_alias@
311build_cpu = @build_cpu@
312build_os = @build_os@
313build_vendor = @build_vendor@
314builddir = @builddir@
315datadir = @datadir@
316datarootdir = @datarootdir@
317docdir = @docdir@
318dvidir = @dvidir@
319exec_prefix = @exec_prefix@
320host = @host@
321host_alias = @host_alias@
322host_cpu = @host_cpu@
323host_os = @host_os@
324host_vendor = @host_vendor@
325htmldir = @htmldir@
326includedir = @includedir@
327infodir = @infodir@
328install_sh = @install_sh@
329libdir = @libdir@
330libexecdir = @libexecdir@
331localedir = @localedir@
332localstatedir = @localstatedir@
333mandir = @mandir@
334mkdir_p = @mkdir_p@
335oldincludedir = @oldincludedir@
336pdfdir = @pdfdir@
337prefix = @prefix@
338program_transform_name = @program_transform_name@
339psdir = @psdir@
340runstatedir = @runstatedir@
341sbindir = @sbindir@
342sharedstatedir = @sharedstatedir@
343srcdir = @srcdir@
344sysconfdir = @sysconfdir@
345target_alias = @target_alias@
346top_build_prefix = @top_build_prefix@
347top_builddir = @top_builddir@
348top_srcdir = @top_srcdir@
349@WITH_MANPAGE_TRUE@dist_man_MANS = xmlwf.1
350@WITH_PREBUILT_MANPAGE_FALSE@CLEANFILES = xmlwf.1
351EXTRA_DIST = \
352    ok.min.css \
353    reference.html \
354    style.css \
355    xmlwf.xml
356
357all: all-am
358
359.SUFFIXES:
360$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
361	@for dep in $?; do \
362	  case '$(am__configure_deps)' in \
363	    *$$dep*) \
364	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
365	        && { if test -f $@; then exit 0; else break; fi; }; \
366	      exit 1;; \
367	  esac; \
368	done; \
369	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
370	$(am__cd) $(top_srcdir) && \
371	  $(AUTOMAKE) --gnu doc/Makefile
372Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
373	@case '$?' in \
374	  *config.status*) \
375	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
376	  *) \
377	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
378	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
379	esac;
380
381$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
382	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
383
384$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
385	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
386$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
387	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
388$(am__aclocal_m4_deps):
389
390mostlyclean-libtool:
391	-rm -f *.lo
392
393clean-libtool:
394	-rm -rf .libs _libs
395install-man1: $(dist_man_MANS)
396	@$(NORMAL_INSTALL)
397	@list1=''; \
398	list2='$(dist_man_MANS)'; \
399	test -n "$(man1dir)" \
400	  && test -n "`echo $$list1$$list2`" \
401	  || exit 0; \
402	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
403	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
404	{ for i in $$list1; do echo "$$i"; done;  \
405	if test -n "$$list2"; then \
406	  for i in $$list2; do echo "$$i"; done \
407	    | sed -n '/\.1[a-z]*$$/p'; \
408	fi; \
409	} | while read p; do \
410	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
411	  echo "$$d$$p"; echo "$$p"; \
412	done | \
413	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
414	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
415	sed 'N;N;s,\n, ,g' | { \
416	list=; while read file base inst; do \
417	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
418	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
419	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
420	  fi; \
421	done; \
422	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
423	while read files; do \
424	  test -z "$$files" || { \
425	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
426	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
427	done; }
428
429uninstall-man1:
430	@$(NORMAL_UNINSTALL)
431	@list=''; test -n "$(man1dir)" || exit 0; \
432	files=`{ for i in $$list; do echo "$$i"; done; \
433	l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
434	  sed -n '/\.1[a-z]*$$/p'; \
435	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
436	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
437	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
438tags TAGS:
439
440ctags CTAGS:
441
442cscope cscopelist:
443
444@WITH_DISTRIBUTABLE_MANPAGE_TRUE@dist-hook:
445distdir: $(BUILT_SOURCES)
446	$(MAKE) $(AM_MAKEFLAGS) distdir-am
447
448distdir-am: $(DISTFILES)
449	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
450	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
451	list='$(DISTFILES)'; \
452	  dist_files=`for file in $$list; do echo $$file; done | \
453	  sed -e "s|^$$srcdirstrip/||;t" \
454	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
455	case $$dist_files in \
456	  */*) $(MKDIR_P) `echo "$$dist_files" | \
457			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
458			   sort -u` ;; \
459	esac; \
460	for file in $$dist_files; do \
461	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
462	  if test -d $$d/$$file; then \
463	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
464	    if test -d "$(distdir)/$$file"; then \
465	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
466	    fi; \
467	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
468	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
469	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
470	    fi; \
471	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
472	  else \
473	    test -f "$(distdir)/$$file" \
474	    || cp -p $$d/$$file "$(distdir)/$$file" \
475	    || exit 1; \
476	  fi; \
477	done
478	$(MAKE) $(AM_MAKEFLAGS) \
479	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
480	  dist-hook
481check-am: all-am
482check: check-am
483all-am: Makefile $(MANS)
484installdirs:
485	for dir in "$(DESTDIR)$(man1dir)"; do \
486	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
487	done
488install: install-am
489install-exec: install-exec-am
490install-data: install-data-am
491uninstall: uninstall-am
492
493install-am: all-am
494	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
495
496installcheck: installcheck-am
497install-strip:
498	if test -z '$(STRIP)'; then \
499	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
500	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
501	      install; \
502	else \
503	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
504	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
505	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
506	fi
507mostlyclean-generic:
508
509clean-generic:
510	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
511
512distclean-generic:
513	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
514	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
515
516maintainer-clean-generic:
517	@echo "This command is intended for maintainers to use"
518	@echo "it deletes files that may require special tools to rebuild."
519clean: clean-am
520
521clean-am: clean-generic clean-libtool mostlyclean-am
522
523distclean: distclean-am
524	-rm -f Makefile
525distclean-am: clean-am distclean-generic
526
527dvi: dvi-am
528
529dvi-am:
530
531html: html-am
532
533html-am:
534
535info: info-am
536
537info-am:
538
539install-data-am: install-man
540
541install-dvi: install-dvi-am
542
543install-dvi-am:
544
545install-exec-am:
546
547install-html: install-html-am
548
549install-html-am:
550
551install-info: install-info-am
552
553install-info-am:
554
555install-man: install-man1
556
557install-pdf: install-pdf-am
558
559install-pdf-am:
560
561install-ps: install-ps-am
562
563install-ps-am:
564
565installcheck-am:
566
567maintainer-clean: maintainer-clean-am
568	-rm -f Makefile
569maintainer-clean-am: distclean-am maintainer-clean-generic
570
571mostlyclean: mostlyclean-am
572
573mostlyclean-am: mostlyclean-generic mostlyclean-libtool
574
575pdf: pdf-am
576
577pdf-am:
578
579ps: ps-am
580
581ps-am:
582
583uninstall-am: uninstall-man
584
585uninstall-man: uninstall-man1
586
587.MAKE: install-am install-strip
588
589.PHONY: all all-am check check-am clean clean-generic clean-libtool \
590	cscopelist-am ctags-am dist-hook distclean distclean-generic \
591	distclean-libtool distdir dvi dvi-am html html-am info info-am \
592	install install-am install-data install-data-am install-dvi \
593	install-dvi-am install-exec install-exec-am install-html \
594	install-html-am install-info install-info-am install-man \
595	install-man1 install-pdf install-pdf-am install-ps \
596	install-ps-am install-strip installcheck installcheck-am \
597	installdirs maintainer-clean maintainer-clean-generic \
598	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
599	ps ps-am tags-am uninstall uninstall-am uninstall-man \
600	uninstall-man1
601
602.PRECIOUS: Makefile
603
604
605.PHONY: dist-hook  # not inside conditional to avoid automake warning
606
607@WITH_MANPAGE_TRUE@xmlwf.1: xmlwf.xml
608@WITH_MANPAGE_TRUE@	-rm -f $@
609@WITH_MANPAGE_TRUE@	test "x$(DOCBOOK_TO_MAN)" != x && $(DOCBOOK_TO_MAN) $<
610@WITH_MANPAGE_TRUE@	test -f $@ || mv XMLWF.1 $@
611
612@WITH_DISTRIBUTABLE_MANPAGE_FALSE@dist-hook:
613@WITH_DISTRIBUTABLE_MANPAGE_FALSE@	@echo 'ERROR: Configure with --with-docbook for "make dist".' 1>&2
614@WITH_DISTRIBUTABLE_MANPAGE_FALSE@	@false
615
616# Tell versions [3.59,3.63) of GNU make to not export all variables.
617# Otherwise a system limit (for SysV at least) may be exceeded.
618.NOEXPORT:
619